## org.apache.tools.ant.types
Class DTDLocation

    java.lang.Object
      org.apache.tools.ant.types.DTDLocation

Direct Known Subclasses:
  EjbJar.DTDLocation

public class DTDLocation
extends java.lang.Object

Helper class to handle the DTD and Entity nested elements.

Author:
  Conor MacNeill, dIon Gillard

Constructor Summary
`DTDLocation()`

Method Summary
`java.lang.String` `getLocation()`
`java.lang.String` `getPublicId()`
`void` `setLocation(java.lang.String location)`
`void` `setPublicId(java.lang.String publicId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DTDLocation

    public DTDLocation()

Method Detail

### setPublicId

    public void setPublicId(java.lang.String publicId)

  Parameters:
    `publicId` - uniquely identifies the resource

### setLocation

    public void setLocation(java.lang.String location)

  Parameters:
    `location` - the location of the resource associated with the publicId

### getPublicId

    public java.lang.String getPublicId()

  Returns:
    the publicId

### getLocation

    public java.lang.String getLocation()

  Returns:
    the location of the resource identified by the publicId

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.